[Overview][Classes][Index] | Reference for unit 'externalwriter' (#fcl-res)

# EExternalResInvalidEndianessException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Invalid endianess error

## Declaration

Source position: externalwriter.pp line 27

`type EExternalResInvalidEndianessException = class(EExternalResourceWriterException)`

## Inheritance

`EExternalResInvalidEndianessException` |  | Invalid endianess error
`EExternalResourceWriterException` |  | Base class for external resource writer-related exceptions
`EResourceWriterException` |  | Base class for resource writer-related exceptions
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised when an attempt is made to set Endianess property of a TExternalResourceWriter object to a value other than EXT_ENDIAN_BIG or EXT_ENDIAN_LITTLE.

## See also

TExternalResourceWriter.Endianess |  | The byte order to use in the file